empty filter attributes results in "undefined" filter value
Description

In my issue list "Add filter" drop-down i have empty lines after migration from redmine 1.3 to 2.1.4.
If i select this dempty lines i get "undefined attribute name". | have no iead where this undefined names come from.
How can i elloborate that in my mysql database by query. Maybe migration problem, maybe plugins incompatible?

History

#1 - 2012-12-06 18:42 - Jean-Philippe Lang

Can you attach the html source of your issue list?

#2 - 2012-12-10 15:13 - Terence Mill

| would realy like to, but even if i create an "empty project” (no users) i still have a lot of productive project data in the html source code, its difficult to
remove or make it anonym. Can u give me a hint what shall i look for? Or which part of the site you need, so i only have to make that small part
anonym.

Then i found the last two filter entries without name attrib.

, "hudson_job": {"type":"list_optional","values":[]}, "hudson_build":{"type":"integer"}};
var labelDayPlural = "Tage";
$ (document) .ready (function () {

initFilters();

addFilter ("status_id", "o", [""1);
1)

The hudson plugins seems to extend the filters without name, so that could be the problem. | will write a bug report (http://www.r-labs.org/issues/1143
) to the author.
If you agree with my assumption, this can be closed in favor for a plugin bug.

#3 - 2012-12-10 15:21 - Terence Mill

- Status changed from New to Resolved

#4 - 2012-12-10 15:45 - Etienne Massip

- Status changed from Resolved to Closed

#5 - 2012-12-11 09:52 - Terence Mill

For hudson plugin i also reported here: http:/www.redmine.org/boards/3/topics/14348?r=34972#message-34972

Btw. the same problem occurs for plugin redmine_tags , which already reported and fixed
Files
shot.jpg 9.84 KB 2012-12-06 Terence Mill

2025-07-07 1/1



http://www.r-labs.org/issues/1143
http://www.redmine.org/boards/3/topics/14348?r=34972#message-34972
https://github.com/Ecodev/redmine_tags
https://github.com/Ecodev/redmine_tags/commit/b47baf8308b9f81004facfd30dbfbe8445f29107
http://www.tcpdf.org

